List directory contents
curl --request GET \
--url https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}")
.header("Authorization", "Bearer <token>")
.asString();{
"items": [
{
"name": "<string>",
"path": "<string>",
"type": "FILE",
"lastModified": "2023-11-07T05:31:56Z",
"size": 0,
"protected": false
}
],
"path": "<string>",
"name": "<string>",
"mutate_protected": false,
"upload_protected": false,
"current_page": "<string>",
"next_page": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}storage
List directory contents
GET
/
storage
/
{storage_id}
/
directories
/
{path}
List directory contents
curl --request GET \
--url https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.wherobots.com/storage/{storage_id}/directories/{path}")
.header("Authorization", "Bearer <token>")
.asString();{
"items": [
{
"name": "<string>",
"path": "<string>",
"type": "FILE",
"lastModified": "2023-11-07T05:31:56Z",
"size": 0,
"protected": false
}
],
"path": "<string>",
"name": "<string>",
"mutate_protected": false,
"upload_protected": false,
"current_page": "<string>",
"next_page": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}Authorizations
bearerTokenwherobotsApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?

